org.apache.hc.core5.http.io

## Class SocketConfig

- java.lang.Object
- - org.apache.hc.core5.http.io.SocketConfig

-     @Contract(threading=IMMUTABLE)
      public class SocketConfig
      extends Object

  Classic I/O network socket configuration.
  Since:
    4.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SocketConfig.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SocketConfig` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketConfig.Builder` | `copy(SocketConfig config)`
    `static SocketConfig.Builder` | `custom()`
    `int` | `getBacklogSize()`
    `int` | `getRcvBufSize()`
    `int` | `getSndBufSize()`
    `SocketAddress` | `getSocksProxyAddress()`
    `TimeValue` | `getSoLinger()`
    `Timeout` | `getSoTimeout()`
    `int` | `getTcpKeepCount()`
    `int` | `getTcpKeepIdle()`
    `int` | `getTcpKeepInterval()`
    `boolean` | `isSoKeepAlive()`
    `boolean` | `isSoReuseAddress()`
    `boolean` | `isTcpNoDelay()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final SocketConfig DEFAULT

  - ### Method Detail

    - #### getSoTimeout

          public Timeout getSoTimeout()

      See Also:
        `SocketConfig.Builder.setSoTimeout(Timeout)`

    - #### isSoReuseAddress

          public boolean isSoReuseAddress()

      See Also:
        `SocketConfig.Builder.setSoReuseAddress(boolean)`

    - #### getSoLinger

          public TimeValue getSoLinger()

      See Also:
        `SocketConfig.Builder.setSoLinger(TimeValue)`

    - #### isSoKeepAlive

          public boolean isSoKeepAlive()

      See Also:
        `SocketConfig.Builder.setSoKeepAlive(boolean)`

    - #### isTcpNoDelay

          public boolean isTcpNoDelay()

      See Also:
        `SocketConfig.Builder.setTcpNoDelay(boolean)`

    - #### getSndBufSize

          public int getSndBufSize()

      Since:
        4.4
      See Also:
        `SocketConfig.Builder.setSndBufSize(int)`

    - #### getRcvBufSize

          public int getRcvBufSize()

      Since:
        4.4
      See Also:
        `SocketConfig.Builder.setRcvBufSize(int)`

    - #### getBacklogSize

          public int getBacklogSize()

      Since:
        4.4
      See Also:
        `SocketConfig.Builder.setBacklogSize(int)`

    - #### getTcpKeepIdle

          public int getTcpKeepIdle()

      Since:
        5.3
      See Also:
        `SocketConfig.Builder.setTcpKeepIdle(int)`

    - #### getTcpKeepInterval

          public int getTcpKeepInterval()

      Since:
        5.3
      See Also:
        `SocketConfig.Builder.setTcpKeepInterval(int)`

    - #### getTcpKeepCount

          public int getTcpKeepCount()

      Since:
        5.3
      See Also:
        `SocketConfig.Builder.setTcpKeepCount(int)`

    - #### getSocksProxyAddress

          public SocketAddress getSocksProxyAddress()

      See Also:
        `SocketConfig.Builder.setSocksProxyAddress(SocketAddress)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static SocketConfig.Builder custom()

    - #### copy

          public static SocketConfig.Builder copy(SocketConfig config)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.